<template>
	<web-view :src="webUrl"></web-view>
	</view>
</template>

<script>
	import common from '../../common/common.js'
	var _self;
	var wv;
	export default {
		data() {
			const token = '';
			return {
				token: '',
				webUrl: "",
				webviewStyles: {},
				data: ""
			};
		},
		methods: {
			// createView(taskid) {
			// 	var url = common.evalutaionBaseUrl + '/app/apptask/getoptiontemplatedefault/' + taskid
			// 	wv = plus.webview.create(url, "custom-webview", {
			// 		top: uni.getSystemInfoSync().statusBarHeight + 44,
			// 		bottom: '0px',
			// 		additionalHttpHeaders: {
			// 			token: _self.token
			// 		}
			// 	})
			// 	// wv.loadURL(url)
			// 	var currentWebview = this.$mp.page.$getAppWebview()
			// 	currentWebview.append(wv);
			// 	setTimeout(function() {}, 1000);
			// }
			getHtml(taskId, rId) {
				var _self = this;
				let url = common.evalutaionBaseUrl + '/app/apptask/getoptiontemplatedefaultresult/' +
					taskId + '/' + rId;
				uni.request({
					url: url,
					header: {
						'token': _self.token
					},
					success(res) {
						console.log(this.$refs.wwv)
						// console.log(window.frames.)
						_self.data = res.data;

						// _self.webUrl=res.data
						// window.document.write(res.data)
						// setTimeout(function() {
						// 	_self.window.document.getElementById('iframe').contentWindow.location.reload(
						// 		true);
						// }, 1000);


					},
					fail(error) {

					}
				})
			}
		},
		onLoad(ldRes) {
			_self = this;

			uni.getStorage({
				key: 'appToken',
				success: res => {
					_self.token = res.data;
					_self.webUrl = common.evalutaionBaseUrl +
						'/app/apptask/getoptiontemplatedefault-release/' +
						ldRes.taskId + "?token=" + _self.token;
					console.log(_self.webUrl)
					// _self.getHtml(ldRes.taskId, ldRes.rid);
					// console.log(_self.webviewStyles)
					// _self.webviewStyles.additionalHttpHeaders = {
					// 	token: _self.token
					// }


					// _self.webUrl = common.evalutaionBaseUrl + '/app/apptask/getoptiontemplatedefaultresult/' +
					// 	ldRes.taskId + '/' + ldRes.rid;
					// window.open(_self.webUrl)
					// _self.createView(ldRes.taskId)
				}
			});
		},
		onUnload() {},
		onShow() {},
		components: {}
	};
</script>

<style>
	.body {
		display: flex;
		flex-direction: column;
		justify-content: center;
		text-align: center;
		align-items: center;
		padding-top: 50%;
	}
</style>
